%define major     1
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           physfs
Version:        3.0.2
Release:        %mkrel 7
Summary:        PhysicsFS, a library to provide abstract access to various archives
Group:          System/Libraries
License:        zlib
URL:            https://www.icculus.org/physfs
Source0:        https://icculus.org/physfs/downloads/%{name}-%{version}.tar.bz2
Patch0:         physfs-fix-pkgconfig-libdir-path.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(readline)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(zlib)


%description
A library to provide abstract access to various archives.
It is intended for use in video games.
The programmer defines a "write directory" on the physical filesystem.
No file writing done through the PhysicsFS API can leave that write directory.

%package -n %{libname}
Summary:        Main library for physfs
Group:          System/Libraries
# mga5 package used wrong major
Obsoletes:      %{_lib}physfs2 < 2.0.3-6
Provides:       %{_lib}physfs2 = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with physfs.

%package -n %{develname}
Summary:        Headers for developing programs that will use physfs
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use physfs.

%prep
%setup -q
%autopatch -p1

%build
%cmake -DPHYSFS_BUILD_STATIC=OFF
%cmake_build

%install
%cmake_install

%check
make -C build test_physfs

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{version}

%files -n %{develname}
%doc README.txt docs/CREDITS.txt
%license LICENSE.txt
%{_bindir}/test_%{name}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Apr 22 2023 daviddavid <daviddavid> 3.0.2-7.mga9
+ Revision: 1953997
- add patch to fix libdir path in pkgconfig file

* Fri Mar 18 2022 umeabot <umeabot> 3.0.2-6.mga9
+ Revision: 1797776
- Mageia 9 Mass Rebuild

* Fri Aug 21 2020 joequant <joequant> 3.0.2-5.mga8
+ Revision: 1617176
- fix cmake build

* Wed Feb 19 2020 umeabot <umeabot> 3.0.2-3.mga8
+ Revision: 1542329
- Mageia 8 Mass Rebuild

* Sat Jan 04 2020 luigiwalser <luigiwalser> 3.0.2-2.mga8
+ Revision: 1476001
- rebuild for readline
+ wally <wally>
- build with new cmake macros

* Tue Mar 26 2019 zezinho <zezinho> 3.0.2-1.mga7
+ Revision: 1380396
- new bugfix release 3.0.2

* Sun Sep 23 2018 umeabot <umeabot> 3.0.1-2.mga7
+ Revision: 1300258
- Mageia 7 Mass Rebuild

* Thu Oct 26 2017 akien <akien> 3.0.1-1.mga7
+ Revision: 1173873
- Version 3.0.1

* Wed Sep 27 2017 akien <akien> 3.0.0-1.mga7
+ Revision: 1160666
- Version 3.0.0
- Disable static build
- Enable checks

* Fri Apr 22 2016 daviddavid <daviddavid> 2.0.3-7.mga6
+ Revision: 1004699
- remove wrong Obsoletes/Provides from devel subpackage (duplicate with library subpackage)

* Fri Apr 15 2016 akien <akien> 2.0.3-6.mga6
+ Revision: 1002680
- Add a pkgconfig file
- Fix wrong lib major in package name (major is 1, 2.0.3 is only the version)
- Fix broken docdir
- Use new RPM macros

* Mon Feb 08 2016 umeabot <umeabot> 2.0.3-5.mga6
+ Revision: 944229
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.3-4.mga5
+ Revision: 738976
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.3-3.mga5
+ Revision: 687572
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.0.3-2.mga4
+ Revision: 522613
- Mageia 4 Mass Rebuild

* Sat Mar 23 2013 zezinho <zezinho> 2.0.3-1.mga3
+ Revision: 404634
- new version

* Sun Jan 13 2013 umeabot <umeabot> 2.0.2-3.mga3
+ Revision: 377683
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 rtp <rtp> 2.0.2-2.mga3
+ Revision: 336138
- fix build

* Sat Oct 15 2011 eandry <eandry> 2.0.2-1.mga2
+ Revision: 155384
- New version 2.0.2

* Fri Sep 09 2011 tv <tv> 2.0.1-3.mga2
+ Revision: 141629
+ rebuild (emptylog)

* Thu Jan 27 2011 ahmad <ahmad> 2.0.1-3.mga1
+ Revision: 42269
- drop old/unneeded scriptles
+ eandry <eandry>
- imported package physfs


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-2mdv2011.0
+ Revision: 607171
- rebuild

* Thu Mar 25 2010 Emmanuel Andry <eandry@mandriva.org> 2.0.1-1mdv2010.1
+ Revision: 527549
- New version 2.0.1
- drop p0 (merged upstream)
- don't use bundled lzma

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-3mdv2010.1
+ Revision: 523630
- rebuilt for 2010.1

* Wed Jul 29 2009 Emmanuel Andry <eandry@mandriva.org> 2.0.0-2mdv2010.0
+ Revision: 403857
- fix 64 bits build
- New version 2.0.0
- p0 from mercurial to fix build
- update files list
- BR cmake

* Sun Mar 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.1-6mdv2009.1
+ Revision: 355509
- rebuild for latest readline

* Sun Mar 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.1-5mdv2009.1
+ Revision: 355333
- rebuild for latest readline

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-4mdv2009.0
+ Revision: 224917
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-3mdv2008.1
+ Revision: 179235
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-2mdv2008.1
+ Revision: 179215
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jul 31 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.1-1mdv2008.0
+ Revision: 56932
- rebuild for 2008
- no need to package installation instructions
- move docs to devel package to respect library policy
- new devel policy

  + Emmanuel Andry <eandry@mandriva.org>
    - Import physfs


 
* Thu Jul 20 2006 Emmanuel Andry <eandry@mandriva.org> 1.0.1-1mdv2007.0
- 1.0.1
- %%mkrel

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.0-2mdk
- rebuild for new readline
- fix summary-ended-with-dot

* Fri Jun 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.0-1mdk
- 1.0.0
- bump major
- cosmetics

* Tue Oct 07 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.1.9-1mdk
- initial mdk pkg
